=== modified file 'src/empathy-status-icon.c'
--- a/src/empathy-status-icon.c
+++ b/src/empathy-status-icon.c
@@ -873,6 +873,9 @@
 #ifdef HAVE_LIBINDICATE
 	gboolean               use_libindicate;
 #endif
+	const gchar *desktop_autostart_id;
+
+	desktop_autostart_id = g_getenv ("DESKTOP_AUTOSTART_ID");
 
 	g_return_val_if_fail (GTK_IS_WINDOW (window), NULL);
 
@@ -908,9 +911,17 @@
 			  icon);
 
 	if (!hide_contact_list) {
-		empathy_conf_get_bool (empathy_conf_get (),
+		/* If not started with the session, we should raise the window.
+                   https://bugs.launchpad.net/ubuntu/+source/empathy/+bug/503052 */
+		if (desktop_autostart_id == NULL) {
+			DEBUG ("Not started with session, showing contact list");
+			should_hide = FALSE;
+		} else {
+			DEBUG ("Auto-started with session, so honor the previous known state");
+			empathy_conf_get_bool (empathy_conf_get (),
 				       EMPATHY_PREFS_UI_MAIN_WINDOW_HIDDEN,
 			               &should_hide);
+		}
 	} else {
 		should_hide = TRUE;
 	}
